QuantLib: DiscrepancyStatistics Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Types | Public Member Functions | List of all members
DiscrepancyStatistics Class Reference

Statistic tool for sequences with discrepancy calculation. More...

`#include <ql/math/statistics/discrepancystatistics.hpp>`

Inheritance diagram for DiscrepancyStatistics:
[legend]

## Public Types
typedef SequenceStatistics::value_type | value_type
Public Types inherited from GenericSequenceStatistics< StatisticsType >
typedef StatisticsType | statistics_type
typedef std::vector< typename StatisticsType::value_type > | value_type

## Public Member Functions
| DiscrepancyStatistics (Size dimension)
Public Member Functions inherited from GenericSequenceStatistics< StatisticsType >
| GenericSequenceStatistics (Size dimension=0)
Size | size () const
Disposable< Matrix > | covariance () const
| returns the covariance Matrix
Disposable< Matrix > | correlation () const
| returns the correlation Matrix
Size | samples () const
Real | weightSum () const
std::vector< Real > | mean () const
std::vector< Real > | variance () const
std::vector< Real > | standardDeviation () const
std::vector< Real > | downsideVariance () const
std::vector< Real > | downsideDeviation () const
std::vector< Real > | semiVariance () const
std::vector< Real > | semiDeviation () const
std::vector< Real > | errorEstimate () const
std::vector< Real > | skewness () const
std::vector< Real > | kurtosis () const
std::vector< Real > | min () const
std::vector< Real > | max () const
std::vector< Real > | gaussianPercentile (Real y) const
std::vector< Real > | percentile (Real y) const
std::vector< Real > | gaussianPotentialUpside (Real percentile) const
std::vector< Real > | potentialUpside (Real percentile) const
std::vector< Real > | gaussianValueAtRisk (Real percentile) const
std::vector< Real > | valueAtRisk (Real percentile) const
std::vector< Real > | gaussianExpectedShortfall (Real percentile) const
std::vector< Real > | expectedShortfall (Real percentile) const
std::vector< Real > | regret (Real target) const
std::vector< Real > | gaussianShortfall (Real target) const
std::vector< Real > | shortfall (Real target) const
std::vector< Real > | gaussianAverageShortfall (Real target) const
std::vector< Real > | averageShortfall (Real target) const
void | reset (Size dimension=0)
template<class Sequence >
void | add (const Sequence &sample, Real weight=1.0)
template<class Iterator >
void | add (Iterator begin, Iterator end, Real weight=1.0)

## 1-dimensional inspectors
Real | discrepancy () const
template<class Sequence >
void | add (const Sequence &sample, Real weight=1.0)
template<class Iterator >
void | add (Iterator begin, Iterator end, Real weight=1.0)
void | reset (Size dimension=0)

## Additional Inherited Members
Protected Attributes inherited from GenericSequenceStatistics< StatisticsType >
Size | dimension_
std::vector< statistics_type > | stats_
std::vector< Real > | results_
Matrix | quadraticSum_

## Detailed Description

Statistic tool for sequences with discrepancy calculation.

It inherit from SequenceStatistics<Statistics> and adds \( L^2 \) discrepancy calculation